import { Source, Loader } from '@graphql-toolkit/common';
import { UnnormalizedTypeDefPointer, LoadTypedefsOptions } from '@graphql-toolkit/core';
import { GraphQLSchema } from 'graphql';
declare type Pointer = UnnormalizedTypeDefPointer | UnnormalizedTypeDefPointer[];
declare type Options = Partial<LoadTypedefsOptions>;
export declare class LoadersRegistry {
    private _loaders;
    private readonly cwd;
    constructor({ cwd }: {
        cwd: string;
    });
    register(loader: Loader): void;
    loadTypeDefs(pointer: Pointer, options?: Options): Promise<Source[]>;
    loadTypeDefsSync(pointer: Pointer, options?: Options): Source[];
    loadDocuments(pointer: Pointer, options?: Options): Promise<Source[]>;
    loadDocumentsSync(pointer: Pointer, options?: Options): Source[];
    loadSchema(pointer: Pointer, options?: Options): Promise<GraphQLSchema>;
    loadSchemaSync(pointer: Pointer, options?: Options): GraphQLSchema;
    private createOptions;
}
export {};
//# sourceMappingURL=loaders.d.ts.map